"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.generateVerticalTreeLayout = void 0;
const react_1 = __importDefault(require("react"));
const render_family_svg_1 = require("./render-family-svg");
const render_profile_svg_1 = require("./render-profile-svg");
function generateVerticalTreeLayout(layout) {
    const svgData = [];
    layout.families.forEach((element) => {
        svgData.push(react_1.default.createElement(render_family_svg_1.RenderFamilySVG, Object.assign({}, element)));
        element.profiles.forEach((profile) => {
            svgData.push(react_1.default.createElement(render_profile_svg_1.RenderProfileSVG, Object.assign({}, profile)));
        });
        //console.log(element);
    });
    return svgData;
}
exports.generateVerticalTreeLayout = generateVerticalTreeLayout;
