"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ProfileListTable = void 0;
const react_1 = __importDefault(require("react"));
const react_table_1 = require("@tanstack/react-table");
const familyColumnHelper = (0, react_table_1.createColumnHelper)();
function ProfileListTable(props) {
    const [data, setData] = react_1.default.useState(() => [...props.profileList]);
    const columns = [
        // familyColumnHelper.accessor(row => row.profileId.itemLink, {
        //   id: 'profileId',
        //   cell: info => info.getValue(),
        //   header: () => <span>Profile Id</span>,
        //   footer: info => info.column.id,
        // }),
        familyColumnHelper.accessor("name", {
            cell: (info) => info.getValue(),
            header: () => react_1.default.createElement("span", null, "Name"),
        }),
        familyColumnHelper.accessor("birthDate", {
            cell: (info) => info.getValue(),
            header: () => react_1.default.createElement("span", null, "Birth Date"),
        }),
        familyColumnHelper.accessor("birthPlace", {
            cell: (info) => info.getValue(),
            header: () => react_1.default.createElement("span", null, "Birth Place"),
        }),
        familyColumnHelper.accessor("deathDate", {
            cell: (info) => info.getValue(),
            header: () => react_1.default.createElement("span", null, "Death Date"),
        }),
        familyColumnHelper.accessor("deathPlace", {
            cell: (info) => info.getValue(),
            header: () => react_1.default.createElement("span", null, "Death Place"),
        }),
    ];
    const table = (0, react_table_1.useReactTable)({
        data,
        columns,
        getCoreRowModel: (0, react_table_1.getCoreRowModel)(),
    });
    return (react_1.default.createElement("div", { className: "p-2" },
        react_1.default.createElement("table", null,
            react_1.default.createElement("thead", null, table.getHeaderGroups().map((headerGroup) => (react_1.default.createElement("tr", { key: headerGroup.id }, headerGroup.headers.map((header) => (react_1.default.createElement("th", { key: header.id }, header.isPlaceholder
                ? null
                : (0, react_table_1.flexRender)(header.column.columnDef.header, header.getContext())))))))),
            react_1.default.createElement("tbody", null, table.getRowModel().rows.map((row) => (react_1.default.createElement("tr", { key: row.id }, row.getVisibleCells().map((cell) => (react_1.default.createElement("td", { key: cell.id }, (0, react_table_1.flexRender)(cell.column.columnDef.cell, cell.getContext())))))))),
            react_1.default.createElement("tfoot", null, table.getFooterGroups().map((footerGroup) => (react_1.default.createElement("tr", { key: footerGroup.id }, footerGroup.headers.map((header) => (react_1.default.createElement("th", { key: header.id }, header.isPlaceholder
                ? null
                : (0, react_table_1.flexRender)(header.column.columnDef.footer, header.getContext())))))))))));
}
exports.ProfileListTable = ProfileListTable;
