"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.RenderProfileSVG = exports.getSexColor = exports.profileSvgStyles = void 0;
const react_1 = __importDefault(require("react")); // importing FunctionComponent
const simple_family_tree_model_1 = require("simple-family-tree-model");
const point_1 = require("./point");
const profileBoxSize = new point_1.Point(180, 80);
exports.profileSvgStyles = {
    smallText: {
        fontSize: "0.9rem",
    },
    mainText: {
        fontSize: "1.5rem",
    },
    profileBox: {
        femaleColor: "lightpink",
        maleColor: "lightblue",
        unknownSexColor: "white",
        verticalOffsetChild: 60,
        verticalOffsetParent: -100,
        horizontalOffset: 250,
        size: profileBoxSize,
    },
};
function getSexColor(sex) {
    if (sex === simple_family_tree_model_1.ProfileSex.Male) {
        return exports.profileSvgStyles.profileBox.maleColor;
    }
    if (sex === simple_family_tree_model_1.ProfileSex.Female) {
        return exports.profileSvgStyles.profileBox.femaleColor;
    }
    return exports.profileSvgStyles.profileBox.unknownSexColor;
}
exports.getSexColor = getSexColor;
class RenderProfileSVG extends react_1.default.Component {
    render() {
        return (react_1.default.createElement("a", { href: "/profile/" + this.props.profile.profileId.itemLink, className: "Profile", key: this.props.profile.profileId.itemLink },
            react_1.default.createElement("rect", { x: this.props.layout.topLeft.x, y: this.props.layout.topLeft.y, rx: "4", width: exports.profileSvgStyles.profileBox.size.x, height: exports.profileSvgStyles.profileBox.size.y, fill: getSexColor(this.props.profile.sex) }),
            react_1.default.createElement("text", { x: this.props.layout.topLeft.x + 10, y: this.props.layout.topLeft.y + 20, style: exports.profileSvgStyles.mainText }, this.props.profile.name),
            react_1.default.createElement("text", { x: this.props.layout.topLeft.x + 20, y: this.props.layout.topLeft.y + 40, style: exports.profileSvgStyles.smallText },
                "b.",
                this.props.profile.birthDate),
            react_1.default.createElement("text", { x: this.props.layout.topLeft.x + 20, y: this.props.layout.topLeft.y + 55, style: exports.profileSvgStyles.smallText },
                "d.",
                this.props.profile.deathDate)));
    }
}
exports.RenderProfileSVG = RenderProfileSVG;
