"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.RootLayout = void 0;
const point_1 = require("./point");
const simple_family_tree_model_1 = require("simple-family-tree-model");
const render_profile_svg_1 = require("./render-profile-svg");
const index_1 = require("./index");
const index_2 = require("./index");
class RootLayout {
    constructor() {
        this.profileAlreadyInLayout = (profileId) => {
            this.families.forEach((element, _) => {
                if (element.profiles.has(profileId.itemLink)) {
                    return true;
                }
            });
            return false;
        };
        this.findFamilyPosition = (tree, family) => {
            let nextPoint = index_2.layoutNextPoint;
            // console.log("findpos", family);
            this.families.forEach((element, key) => {
                element.profiles.forEach((element, _) => {
                    const relation = (0, simple_family_tree_model_1.findRelation)(tree, family, new simple_family_tree_model_1.ProfileLink(key));
                    // console.log("relation", relation);
                    if (relation === simple_family_tree_model_1.Relation.Parent) {
                        const profileRect = element.layout;
                        // console.log("parent");
                        nextPoint = new point_1.Point(profileRect.getTopLeft().x, profileRect.getTopLeft().y -
                            render_profile_svg_1.profileSvgStyles.profileBox.verticalOffsetChild);
                    }
                    if (relation === simple_family_tree_model_1.Relation.Child) {
                        const profileRect = element.layout;
                        // console.log("child");
                        nextPoint = new point_1.Point(profileRect.getTopLeft().x, profileRect.getTopLeft().y +
                            render_profile_svg_1.profileSvgStyles.profileBox.verticalOffsetParent);
                    }
                });
            });
            // console.log("none");
            return nextPoint;
        };
        this.families = new Map();
        this.profiles = new Map();
        this.anchorPosition = new point_1.Point(index_2.layoutNextPoint.x, index_2.layoutNextPoint.y);
        this.anchorProfile = "";
        this.size = new point_1.Point(index_1.defaultLayoutSize.x, index_1.defaultLayoutSize.y);
    }
}
exports.RootLayout = RootLayout;
